* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Figtree";
  scroll-behavior: smooth;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
}
section {
  width: 100%;
}

// mixins
@mixin font-size($fs: 10px, $fw: 400, $lh: 120%) {
  font-size: $fs;
  font-weight: $fw;
  line-height: $lh;
}

button {
  padding: 10px 24px;
  border: none;
  color: #ffff;
  border-radius: 4px;
  background: var(--Primary, #009a4a);
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: #ffff;
  padding: 14px 0;
  transition: all 0.5s ease-out;
  z-index: 100;

  &Container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .navbar ul li {
    position: relative;
    float: left;
    list-style-type: none;
  }
  .navbar ul li a {
    font-size: 20px;
    padding: 20px;
    color: #052b17;
    display: block;
    text-decoration: none;
  }
  .navbar ul li a:hover {
    color: #009a4a;

    img {
      rotate: 180deg;
      transition: 0.8s;
    }
  }
  .navbar ul li ul {
    position: absolute;
    left: 0;
    width: 200px;
    background-color: #ffff;
    display: none;
  }
  .navbar ul li ul li {
    width: 100%;
    border-radius: 8px;
    border: 0.5px solid rgba(0, 0, 0, 0.1);
  }
  .navbar ul li:focus-within > ul,
  .navbar ul li:hover > ul {
    display: initial;
  }
  #menu-bar {
    display: none;
  }
  label {
    font-size: 20px;
    color: #333;
    cursor: pointer;
    display: none;
  }
  // menuicon

  .menu-icon {
    display: inline-block;
    cursor: pointer;
  }

  .bar1,
  .bar2,
  .bar3 {
    width: 35px;
    height: 5px;
    background-color: #333;
    margin: 6px 0;
    transition: 0.4s;
  }

  .change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
  }

  .change .bar2 {
    opacity: 0;
  }

  .change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
  }

  button {
    padding: 10px 24px;
    border: none;
    color: #ffff;
    border-radius: 4px;
    background: var(--Primary, #009a4a);
  }
}

.hidden {
  top: -100px !important; /* Adjust the value based on the height of the header */
}

// slider
.slider {
  padding-top: 120px;
  background: #f7f7f7;
  &Container {
    .customButtons {
      display: flex;
      justify-content: center;
      button {
        background-color: #f7f7f7;
        cursor: pointer;
      }
    }
    display: flex;
    flex-direction: column;
    gap: 48px;
    h3 {
      background: linear-gradient(
        90deg,
        #131d56 43.45%,
        #33145d 54.99%,
        #63166a 65.76%,
        #a4267b 77.45%,
        #db327c 88.22%,
        #eb4b46 100.53%
      );
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      @include font-size($fs: 44px, $fw: 600, $lh: 130%);

      text-align: center;
    }
    .sliderCardSection {
      display: flex;
      gap: 30px;
    }
  }
  .sliderCard {
    display: flex;
    flex-direction: column;
    max-width: 364px;
    gap: 48px;
    align-items: flex-start;
    border-radius: 6px;
    background: #fff;
    padding: 20px 16px;
    margin-right: 20px;
    .cardDetails {
      display: flex;
      flex-direction: column;
      span {
        display: flex;
        align-items: center;
        gap: 10px;
        color: #e54696;

        text-transform: capitalize;
        @include font-size($fs: 14px, $fw: 400, $lh: 160%);
      }
      h5 {
        color: #222529;
        @include font-size($fs: 18px, $fw: 600, $lh: 160%);
      }
      p {
        color: #4e4e4e;
        @include font-size($fs: 14px, $fw: 400, $lh: 160%);
      }
    }
  }
}
.accor {
  padding: 100px 120px;
  .accorContainer {
    display: flex;
    flex-direction: column;
    h3 {
      display: flex;
      flex-direction: column;
      gap: 48px;
      padding-bottom: 25px;
      color: #052b17;
      text-align: center;

      font-family: Figtree;
      @include font-size($fs: 40px, $fw: 700, $lh: nomal);
    }

    .accordion {
      display: flex;
      justify-content: space-between;
      align-items: center;
      background-color: #fff;
      color: #052b17;
      cursor: pointer;
      padding: 18px;
      width: 100%;
      border: none;
      text-align: left;
      outline: none;
      font-size: 15px;
      transition: 0.4s;
      .locations {
        display: flex;
        gap: 40px;
        align-items: center;
        .imageContent {
          display: flex;
          gap: 10px;
        }
      }
      .down-arrow {
        transition: all 0.5s ease;
      }
    }

    .active,
    .accordion:hover {
      background-color: #fff;
    }
    .active {
      .down-arrow {
        rotate: 180deg;
        transition: 0.5s;
      }
    }

    .panel {
      display: flex;
      flex-direction: column;
      gap: 16px;
      h4 {
        color: #254e39;
        @include font-size($fs: 18px, $fw: 500, $lh: 26px);
      }
      p {
        color: #5f786b;
        @include font-size($fs: 16px, $fw: 400, $lh: 26px);
      }
      padding: 0 18px;
      background-color: white;
      max-height: 0;
      overflow: hidden;
      transition: max-height 0.2s ease-out;
    }
  }
}
// forms
.forms {
  padding: 100px 120px;
  background: linear-gradient(
    90deg,
    rgba(22, 39, 112, 0.06) -3.98%,
    rgba(56, 35, 97, 0.06) 19.05%,
    rgba(138, 53, 125, 0.06) 40.57%,
    rgba(230, 73, 150, 0.06) 63.91%,
    rgba(235, 70, 61, 0.06) 85.43%,
    rgba(237, 101, 80, 0.06) 110%
  );
  &Container {
    padding: 40px;
    background: #fff;
    gap: 40px;
    display: flex;
    flex-direction: column;

    .formHeading {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 6px;
      h3 {
        color: #222529;
        @include font-size($fs: 44px, $fw: 600, $lh: 130%);
        text-align: center;
      }
      p {
        color: #4e4e4e;
        @include font-size($fs: 16px, $fw: 400, $lh: 160%);
      }
    }
    .formContent {
      display: flex;
      flex-direction: column;
      .formNameContent {
        display: flex;
        margin-bottom: 24px;
        gap: 40px;
        justify-content: space-between;
        .formElement {
          position: relative;

          display: flex;
          flex-direction: column;
          flex-basis: 50%;
          position: relative;
          span {
            color: #f00;
            @include font-size($fs: 12px, $fw: 400, $lh: 130%);
          }
          label {
            color: #222529;
            @include font-size($fs: 16px, $fw: 500, $lh: 160%);
          }
          input[type="text"],
          select,
          option {
            color: #888;
            width: 100%;
            -webkit-appearance: none;
            background-color: #fff;
            padding: 10px 14px;
            margin: 8px 0;
            display: inline-block;
            border-radius: 4px;
            border: 1px solid #e8e8e4;

            box-sizing: border-box;
          }

          input[type="submit"] {
            width: 100%;
            background-color: #4caf50;
            color: white;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
          }
        }
        .contactForm::after {
          content: url("../images/downArrow.svg");

          position: absolute;
          right: 16px;
          top: 46px;
        }
      }
    }
    .textarea {
      display: flex;
      flex-direction: column;

      label {
        color: #222529;
        @include font-size($fs: 16px, $fw: 500, $lh: 160%);
      }
      textarea {
        color: #888;
        width: 100%;
        background-color: #fff;
        padding: 10px 14px;
        margin: 8px 0;
        display: inline-block;
        border-radius: 4px;
        border: 1px solid #e8e8e4;

        box-sizing: border-box;
      }
    }
    .submit {
      display: flex;
      align-items: center;
      justify-content: center;
      input[type="submit"] {
        border-radius: 4px;
        background: linear-gradient(
          90deg,
          #131d56 -1.66%,
          #33145d 26.58%,
          #63166a 53.17%,
          #a4267b 72.03%,
          #db327c 87.36%,
          #eb4b46 103.24%
        );
        color: white;
        padding: 16px 32px;
        max-width: 124px;
        margin: 8px 0;
        border: none;
        border-radius: 4px;
        cursor: pointer;
      }
    }
  }
}
.error-message {
  color: red;
  position: absolute;
  left: 0;
  bottom: -15px;
}

.fasttrack {
  padding: 80px 120px;
  background: linear-gradient(
    90deg,
    rgba(22, 39, 112, 0.08) -3.98%,
    rgba(56, 35, 97, 0.08) 19.05%,
    rgba(138, 53, 125, 0.08) 40.57%,
    rgba(230, 73, 150, 0.08) 63.91%,
    rgba(235, 70, 61, 0.08) 85.43%,
    rgba(237, 101, 80, 0.08) 110%
  );
  &Container {
    display: flex;
    justify-content: space-between;
    .firstImageSection {
      display: flex;
      justify-content: end;
    }
    .fasttrackContent {
      border-radius: 8px;
      gap: 45px;
      max-width: 452px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      h3 {
        color: #222529;
        @include font-size($fs: 44px, $fw: 600, $lh: 130%);
      }
      span {
        @include font-size($fs: 44px, $fw: 600, $lh: 130%);

        background: linear-gradient(
          89deg,
          #162770 0.53%,
          #382361 18.39%,
          #8a357d 35.08%,
          #e64996 53.18%,
          #eb463d 69.86%,
          #ed6550 88.92%
        );
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }
      p {
        color: #4e4e4e;
        @include font-size($fs: 16px, $fw: 400, $lh: 160%);
      }
      button {
        border-radius: 4px;

        justify-content: space-around;
        width: 184px;
        background: linear-gradient(
          90deg,
          #131d56 -1.66%,
          #33145d 26.58%,
          #63166a 53.17%,
          #a4267b 72.03%,
          #db327c 87.36%,
          #eb4b46 103.24%
        );
        padding: 16px 32px;
        display: flex;
        gap: 10px;
      }
    }
    .fasttractImageSection {
      display: flex;
      flex-direction: column;
      gap: 25px;
      border-radius: 8px;
      .backgroundColor {
        padding: 1px;
        border-radius: 8px;
      }
      .imageContent {
        background-color: #fff;
        border-radius: 8px;
        padding: 32px;
        display: flex;
        max-width: 323px;
        flex-direction: column;
        .image {
          display: flex;
          justify-content: space-between;
          align-items: center;

          p {
            color: #222529;
            @include font-size($fs: 20px, $fw: 500, $lh: 130%);
          }
        }
        .imagePara {
          p {
            color: #4e4e4e;
            @include font-size($fs: 16px, $fw: 400, $lh: 150%);
          }
        }
      }
    }
    .firstImageSection {
      .fileImage {
        .image {
          .imageGif {
            background-image: url("../images/image.png");
            width: 60px;
            height: 60px;

            background-size: cover;
            cursor: pointer;
            border-radius: 8px;
          }
        }
      }
    }
    .backgroundColor:hover {
      background: linear-gradient(
        90deg,
        #131d56 -1.66%,
        #33145d 26.58%,
        #63166a 53.17%,
        #a4267b 72.03%,
        #db327c 87.36%,
        #eb4b46 103.24%
      );
    }
    .fileImage:hover {
      .image {
        .imageGif {
          background-image: url("../images/payment.gif");
        }
      }
    }

    .firstImageSection {
      .coinImage {
        .image {
          .imageGif {
            background-image: url("../images/coin.png");
            width: 60px;
            height: 60px;

            background-size: cover;
            cursor: pointer;
            border-radius: 8px;
          }
        }
      }
    }
    .coinImage:hover {
      .image {
        .imageGif {
          background-image: url("../images/coin.gif");
        }
      }
    }

    .secondImageSection {
      .fingerImage {
        .image {
          .imageGif {
            background-image: url("../images/fingerprint.png");
            width: 60px;
            height: 60px;

            background-size: cover;
            cursor: pointer;
            border-radius: 8px;
          }
        }
      }
    }
    .fingerImage:hover {
      .image {
        .imageGif {
          background-image: url("../images/fingerprint.gif");
        }
      }
    }

    .secondImageSection {
      .rotateImage {
        .image {
          .imageGif {
            background-image: url("../images/rotate.png");
            width: 60px;
            height: 60px;

            background-size: cover;
            cursor: pointer;
            border-radius: 8px;
          }
        }
      }
    }
    .rotateImage:hover {
      .image {
        .imageGif {
          background-image: url("../images/rotate.gif");
        }
      }
    }
  }
}
// tabSection
.tabs {
  padding: 60px 0 80px;
  &Container {
    .tabDetails {
      display: flex;
      gap: 20px;
    }
    h2 {
      color: #502720;
      @include font-size($fs: 36px, $fw: 550, $lh: 130%);
    }
    p {
      color: #424242;
      @include font-size($fs: 16px, $fw: 400, $lh: 150%);
    }
    .tab {
      display: flex;
      flex-direction: column;
      gap: 8px;
      width: 30%;
      height: 300px;
      margin-top: 38px;
      .active {
        p {
          color: #502720;
        }
      }
    }

    .tab button {
      display: block;
      background-color: inherit;
      color: black;
      padding: 8px 12px;
      width: 100%;
      border: none;
      outline: none;
      text-align: left;
      cursor: pointer;
      @include font-size($fs: 16px, $fw: 645, $lh: 150%);
      transition: 0.3s;
      font-size: 17px;
    }

    .tab button:hover {
      background-color: #ddd;
    }

    .tab button.active {
      background-color: #ccc;
      color: #502720;
    }

    .tabcontent {
      margin-top: 38px;

      width: 70%;
      border-left: none;
      height: 300px;

      .contents {
        padding: 20px;
      }
      .accordionDetails {
        .accordion {
          display: flex;
          justify-content: space-between;
          align-items: center;
          background-color: #f9f7f6;
          color: #292929;
          cursor: pointer;
          padding: 16px;
          width: 100%;
          border: none;
          text-align: left;
          outline: none;
          font-size: 15px;
          transition: 0.4s;
          .locations {
            display: flex;
            gap: 40px;
            align-items: center;
            .imageContent {
              display: flex;
              gap: 10px;
            }
          }
          h3 {
            color: #292929;
          }
          .down-arrow {
            transition: all 0.5s ease;
          }
        }
      }
    }
    // accordin

    .active,
    .accordion:hover {
      background-color: #fff;
    }
    .active {
      .down-arrow {
        rotate: 180deg;
      }
    }

    .panel {
      display: flex;
      flex-direction: column;
      gap: 16px;
      margin: 10px;

      p {
        color: #292929;
        @include font-size($fs: 12px, $fw: 550, $lh: 140%);
      }
      padding: 0 18px;
      background-color: white;
      max-height: 0;
      overflow: hidden;
      transition: max-height 0.2s ease-out;
    }
  }
}

@media screen and (max-width: 992px) {
  .header {
    button {
      display: none;
    }
    padding: 20px;
    label {
      display: initial;
    }
    .navbar {
      position: absolute;
      top: 100%;
      left: 0;
      right: 0;
      border: 1px solid #000;
      background: #ffff;
      display: none;
    }
    .navbar ul li {
      width: 100%;
    }
    .navbar ul li a {
      padding: 10px;
    }
    .navbar ul li ul {
      position: relative;
      width: 100%;
    }
    .navbar ul li ul li {
      background: #eee;
    }
    #menu-bar:checked ~ .navbar {
      display: initial;
    }
  }
}

// tablet

@media screen and (max-width: 768px) {
  .accor {
    padding: 50px 20px;
  }
}
.forms {
  padding: 50px 20px;
}
.fasttrack {
  padding: 50px 20px;
  &Container {
    .fasttrackContent {
      flex-basis: 40%;
    }

    gap: 20px;
    .fasttractImageSection {
      justify-content: center;
      align-items: center;
    }
  }
}
.tabs {
  padding: 50px 20px;
}

@media screen and (max-width: 550px) {
  .accor {
    padding: 50px 20px;
    &Container {
      .accordionDetails {
        .accordion {
          flex-direction: column;
          gap: 20px;
        }
      }
    }
  }
  .forms {
    padding: 50px 20px;
  }
  .fasttrack {
    padding: 50px 20px;
    &Container {
      flex-direction: column;
      gap: 20px;
      .fasttractImageSection {
        justify-content: center;
        align-items: center;
      }
    }
  }
  .tabs {
    padding: 50px 20px;
  }
}
